from django.utils.translation import gettext as _
from django.utils.safestring import mark_safe
def get_phone_valid_error(val):
    allow_chars = '01234567890()+ -'

    error_msg = mark_safe(_('Некорректные символы в номере телефона,<br> пример корректного ввода +7 925 8600100'))

    if not val:
        return None

    if len(val) < 10:
        return error_msg

    if '+' in val and val[0] != '+':
        return error_msg

    i = 0
    while i < len(val):
        if val[i] not in allow_chars:
            return error_msg

        i += 1

    return None